 <div class="row">
    <div class="col-6">
        <select  class="form-control"  name="txt_type" [(ngModel)]="txt_type" style="width: 40%;" (change)="filterrecods(txt_type)">
            <option selected >All</option>
            <option>Phone pay</option>
            <option>Card</option>
            <option>Cash</option>
            <option>Others</option>
        </select>
    </div>
    <div class="col-6">
        <h5 style="text-align: right;margin-right: 50px;color: red;">
            Total amount : - {{total_exp|currency:'INR'}}
        </h5>
    </div>
 </div>
<div class="row">
    <div class="col-12">
        <table class="table" border="3" style="border-radius: 10px;">
            <tr style="background-color:brown;color: blanchedalmond;">
                <th  style="width: 10px;">Id</th>
                <th>REASON</th>
                <th>TYPE</th>
                <th>AMOUNT</th>
                <th>DATE</th>
                <th>ACTIONS</th>
            </tr>
            <tr *ngFor="let x of expences_list| paginate: { itemsPerPage: 5, currentPage: p }">
                <td>
                    {{x.id}}
                </td>
                <td>
                  {{x.reason}}
                </td>
                <td>
                    {{x.type}}
                </td>
                <td>
                    -{{x.amount|currency:'INR'}}
                </td>
                <td>
                    {{x.date}}
                </td>
                <td>
                    <i class="fas fa-trash" style="color: red;" (click)="delete(x.id)"></i> &nbsp;&nbsp;
                    <i class="fas fa-edit" style="color: green;" 
                    (click)="edit(x.id)"
                    ></i>
                </td>
            </tr>

        </table>
        <div style="background-color:brown;text-align: center;font-weight: bold;color: blanchedalmond;">
            <pagination-controls (pageChange)="p = $event"></pagination-controls>

        </div>
    </div>
</div>